org.eclnt.jsfserver.elements.componentnodes

## Class UI5M_BUTTONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5M_BUTTONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5M_BUTTONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5M_BUTTONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5M_BUTTONNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5M_BUTTONNode` | `bindActiveicon(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindButtontype(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindIcon(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindText(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5M_BUTTONNode` | `setActionListener(java.lang.String value)`
    `UI5M_BUTTONNode` | `setActiveicon(java.lang.String value)`
    `UI5M_BUTTONNode` | `setAdapterbinding(java.lang.String value)`
    `UI5M_BUTTONNode` | `setAttributemacro(java.lang.String value)`
    `UI5M_BUTTONNode` | `setButtontype(java.lang.String value)`
    `UI5M_BUTTONNode` | `setComment(java.lang.String value)`
    `UI5M_BUTTONNode` | `setConfiginfo(java.lang.String value)`
    `UI5M_BUTTONNode` | `setEnabled(boolean value)`
    `UI5M_BUTTONNode` | `setEnabled(java.lang.String value)`
    `UI5M_BUTTONNode` | `setIcon(java.lang.String value)`
    `UI5M_BUTTONNode` | `setId(java.lang.String value)`
    `UI5M_BUTTONNode` | `setLayoutdata(java.lang.String value)`
    `UI5M_BUTTONNode` | `setReference(java.lang.String value)`
    `UI5M_BUTTONNode` | `setRendered(boolean value)`
    `UI5M_BUTTONNode` | `setRendered(java.lang.String value)`
    `UI5M_BUTTONNode` | `setStyleseq(java.lang.String value)`
    `UI5M_BUTTONNode` | `setStylevariant(java.lang.String value)`
    `UI5M_BUTTONNode` | `setText(java.lang.String value)`
    `UI5M_BUTTONNode` | `setWidth(int value)`
    `UI5M_BUTTONNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5M_BUTTONNode

          public UI5M_BUTTONNode()

  - ### Method Detail

    - #### setId

          public UI5M_BUTTONNode setId(java.lang.String value)

    - #### setActionListener

          public UI5M_BUTTONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5M_BUTTONNode bindActionListener(IActionListenerDelegation value)

    - #### setActiveicon

          public UI5M_BUTTONNode setActiveicon(java.lang.String value)

    - #### bindActiveicon

          public UI5M_BUTTONNode bindActiveicon(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public UI5M_BUTTONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5M_BUTTONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5M_BUTTONNode setAttributemacro(java.lang.String value)

    - #### setButtontype

          public UI5M_BUTTONNode setButtontype(java.lang.String value)

    - #### bindButtontype

          public UI5M_BUTTONNode bindButtontype(IDynamicContentBindingObject value)

    - #### setComment

          public UI5M_BUTTONNode setComment(java.lang.String value)

    - #### bindComment

          public UI5M_BUTTONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5M_BUTTONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5M_BUTTONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_BUTTONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5M_BUTTONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5M_BUTTONNode setEnabled(boolean value)

    - #### setIcon

          public UI5M_BUTTONNode setIcon(java.lang.String value)

    - #### bindIcon

          public UI5M_BUTTONNode bindIcon(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5M_BUTTONNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5M_BUTTONNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5M_BUTTONNode setReference(java.lang.String value)

    - #### setRendered

          public UI5M_BUTTONNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5M_BUTTONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5M_BUTTONNode setRendered(boolean value)

    - #### setStyleseq

          public UI5M_BUTTONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5M_BUTTONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5M_BUTTONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5M_BUTTONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public UI5M_BUTTONNode setText(java.lang.String value)

    - #### bindText

          public UI5M_BUTTONNode bindText(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_BUTTONNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5M_BUTTONNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5M_BUTTONNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.